Bug 343531 - software updater crashes if network is disabled
software updater crashes if network is disabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 18:11 EDT by Nick Djurovich
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: f7-updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 20:04:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback from crash (2.15 KB, text/plain)
2007-10-19 18:11 EDT, Nick Djurovich
no flags Details

  None (edit)
Description Nick Djurovich 2007-10-19 18:11:44 EDT
Description of problem:
When selecting Software Update and then entering the root password, the updater
crashed. (/usr/sbin/pup)

The traceback indicates being unable to load metadata from the repository. After
a few checks I found that my network was disabled. (FYI F7 is running on VMWare
6 Workstation).

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.stop the network
2.run the software updater
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nick Djurovich 2007-10-19 18:11:44 EDT
Created attachment 233151 [details]
traceback from crash
Comment 2 Peter van Egdom 2007-11-14 14:11:57 EST
Thank you for the report. However this has been reported to the incorrect
component. Reassigning from "up2date" to "pirut". Feel free to report any
further bugs you find to our bug tracking system.
Comment 3 Jeremy Katz 2007-11-15 20:04:04 EST
This is fixed in the current version of pirut in f7-updates

Note You need to log in before you can comment on or make changes to this bug.